Page MenuHomePhabricator

Gender neutral for undisclosed gender
Closed, ResolvedPublic

Description

It would be nice for the extension to use gender neutral wording when the user has not specified their gender.

Right now, it says "Aude3 (Talk | contribs) removed himself as reviewer to article Word..." which is odd.

It's not nice to assume a user's gender. If you must assume, maybe make the default female! ;)


Version: unspecified
Severity: normal

Details

Reference
bz39594

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:05 AM
bzimport set Reference to bz39594.
aude created this task.Aug 23 2012, 9:52 PM

This is an i18n issue - AFAIK this extension is not doing anything different the core and other extensions here.

Iirc a third form can be used, that the software would use if gender is undetermined, for English that could be "themselves". If that third for,is not there, the first form is used, which is the male form. Note that many languages do not have a gender neutral form.

So is there actually an issue here, or can this bug be closed? And if there is, anything in the actual code that should change?

aude added a comment.Aug 25 2012, 9:32 PM

if you can use gender neutral in the log message, that would be great and I think make the education tools more welcoming for everyone.

While not a top priority bug, it's a bit off-putting for the software to assume male gender for everyone, especially if the software supports gender neutral. Also, not sure how many realize they can specify gender in preferences.

Perhaps it could be:

$1 added {{GENDER:$2|himself|herself|themself}} as {{GENDER:$2|instructor}} to course $3

or

$1 added {{GENDER:$2|himself|him or herself}} as {{GENDER:$2|instructor}} to course $3

PS: The education program has had far greater female participation than is usual for Wikipedia.

http://blog.wikimedia.org/2011/11/17/wikipedia-education-metrics/

Do submit patches. This is something easy, any entry level developer can contribute to.

rahul14m93 wrote:

Sumanah :See if you like this patch Ic0644d525e6f5e1c7c7c8e831d36c0e5b0dda532

(In reply to comment #6)

Sumanah :See if you like this patch Ic0644d525e6f5e1c7c7c8e831d36c0e5b0dda532

I doubt "the self appointed" X can work, it should at least be "a self appointed"; but the verb "appointing" for simple flag additions sounds a bit weird. Why not use the singular they? It's quite widespread in MediaWiki. https://translatewiki.net/wiki/Special:WhatLinksHere/Template:Doc-singularthey
Also, please don't remove {{GENDER}} from the messages even when it's not used in English, because it's a hint for translators.

Merged by Siebrand. Thanks Rahul.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptNov 15 2017, 8:09 PM